; Echotest.sc

; This script demonstrates some of the issues with the new echo model
; of Paradox 4.0.  After each message is displayed on the screen, press
; any key to continue.


ClearAll

MESSAGE "Echo model test, press any key ..."
x=GETCHAR()
MESSAGE "Execute ->: VIEW \"Employee\"."
x=GETCHAR()
VIEW "employee"
WINDOW HANDLE IMAGE ImageNo() TO emptbl.h
MESSAGE "View complete."
x=GETCHAR()
MESSAGE "Execute ->: ECHO NORMAL."
x=GETCHAR()
ECHO NORMAL
MESSAGE "Employee table should now be visible."
x=GETCHAR()
MESSAGE "Execute ->: VIEW \"Dept\"."
x=GETCHAR()
VIEW "dept"
MESSAGE "View complete."
x=GETCHAR()
MESSAGE "Execute ->: ECHO OFF (notice where the cursor is)."
x=GETCHAR()
ECHO OFF
MESSAGE "Where is the cursor now?"
x=GETCHAR()
MESSAGE "Create a canvas window."
x=GETCHAR()
MESSAGE "Execute ->: WINDOW CREATE @ 5,5 HEIGHT 10 WIDTH 50 TO canvas1.h."
x=GETCHAR()
WINDOW CREATE @ 5,5 HEIGHT 10 WIDTH 50 TO canvas1.h
MESSAGE "Canvas window created (without floating attribute)."
x=GETCHAR()
MESSAGE "Change attribute of window to Floating."
x=GETCHAR()
MESSAGE "1) DYNARRAY wa_bag[]    wa_bag[\"FLOATING\"] = True."
x=GETCHAR()
DYNARRAY wa_bag[]
wa_bag["floating"] = TRUE
MESSAGE "2) Execute ->: WINDOW SETATTRIBUTES canvas1.h FROM wa_bag."
x=GETCHAR()
WINDOW SETATTRIBUTES canvas1.h FROM wa_bag
MESSAGE "Floating attribute applied."
x=GETCHAR()
MESSAGE "Select the Employee window.  Execute ->: WINDOW SELECT emptbl.h."
x=GETCHAR()
WINDOW SELECT emptbl.h
ECHO NORMAL
ECHO OFF
MESSAGE "Employee window selected."
x=GETCHAR()
MESSAGE "Change floating attribute to False."
x=GETCHAR()
wa_bag["floating"] = FALSE
WINDOW SETATTRIBUTES canvas1.h FROM wa_bag
MESSAGE "Floating attribute changed to false, window should be off " +
        "the Application layer."
x=GETCHAR()
MESSAGE "Maximize the Employee window.  Execute ->: WINDOW MAXIMIZE emptbl.h."
x=GETCHAR()
WINDOW MAXIMIZE emptbl.h
SYNCCURSOR
ECHO NORMAL
MESSAGE "Employee should be full screen - what is in the way?  What must " +
        "have been executed along with the WINDOW MAXIMIZE?"
x=GETCHAR()
MESSAGE "ECHO NORMAL was executed, this allows canvas window to be visible."
x=GETCHAR()
MESSAGE "Close the canvas window.  Execute ->: WINDOW CLOSE."
x=GETCHAR()
WINDOW CLOSE
MESSAGE "Canvas window should be removed, cursor should be visible in " +
        "Employee window."
x=GETCHAR()
MESSAGE "Set the local echo for Employee window off."
x=GETCHAR()
MESSAGE "1) Execute ->: DYNARRAY wa2_bag    wa2_bag[\"ECHO\"] = False."
x=GETCHAR()
DYNARRAY wa2_bag[]
wa2_bag["ECHO"] = False
MESSAGE "2) Execute ->: WINDOW SETATTRIBUTES emptbl.h FROM wa2_bag."
x=GETCHAR()
WINDOW SETATTRIBUTES emptbl.h FROM wa2_bag
MESSAGE "Move through the data for 10 records in Last Name, notice " +
        "cursor (local echo False)."
x=GETCHAR()
MOVETO [last name]
FOR i FROM 1 TO 10
  Down
ENDFOR
MESSAGE "Cursor is now on record ",[#],"."
x=GETCHAR()
MESSAGE "Set local echo to True.  Execute ->: WINDOW ECHO emptbl.h True."
x=GETCHAR()
WINDOW ECHO emptbl.h True
MESSAGE "Look at cursor position now."
x=GETCHAR()
MESSAGE "With local echo True, execute ->: HOME."
x=GETCHAR()
Home
MESSAGE "Cursor should be on first record in Last Name."
x=GETCHAR()
MESSAGE "Move cursor DOWN 10 times in a FOR loop.  Notice the cursor."
x=GETCHAR()
FOR i FROM 1 TO 10
  Down
  SLEEP 250
ENDFOR
MESSAGE "Notice cursor moved with the record."
x=GETCHAR()
MESSAGE "Turn local echo off.  Execute ->: WINDOW ECHO emptbl.h False."
x=GETCHAR()
WINDOW ECHO emptbl.h False
MESSAGE "Notice cursor now."
x=GETCHAR()
MESSAGE "Issue ECHO NORMAL ECHO OFF."
x=GETCHAR()
ECHO NORMAL
ECHO OFF
MESSAGE "Now look at cursor."
x=GETCHAR()
MESSAGE "Turn cursor off.  Execute ->: CURSOR OFF"
x=GETCHAR()
SETCANVAS DEFAULT
CURSOR OFF
MESSAGE "Now where is the cursor?"
x=GETCHAR()
MESSAGE "Echo model test complete."
x=GETCHAR()
MESSAGE "Press any ket to exit test."
x=GETCHAR()
CLEARALL
QUIT "Echo test complete!"
